Name: gmp
Version: 4.1
Release: alt1

Summary: A GNU arbitrary precision library
License: GPL
Group: System/Libraries

Source: ftp://ftp.gnu.org/pub/gnu/%name/%name-%version.tar.bz2

Patch: gmp-4.1-mdk-lc-dont-assert.patch
Patch1: gmp-4.1-mdk-noinline.patch
Patch2: gmp-4.1-mdk-vafixes.patch
Patch3: gmp-4.1-mdk-x86_64.patch
Patch4: gmp-4.1-rh-gmpxx.h.getnum.patch
Patch5: gmp-4.1-rh-mpf_inp_str.c.patch
Patch6: gmp-4.1-rh-powm_ui.c.41.patch

#ALT Patches
Patch100: gmp-3.1.1-alt-texinfo.patch

%description
The %name package

%package -n lib%name
Summary: A GNU arbitrary precision library
Group: System/Libraries
Provides: %name = %version
Obsoletes: %name

%package -n lib%name-devel
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel
PreReq: %__install_info

%package -n lib%name-devel-static
Summary: Development tools for the GNU MP arbitrary precision library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name
The %name package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the %name package if you need a fast arbitrary precision
library.

%description -n lib%name-devel
The libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%description -n lib%name-devel-static
The static libraries for using the GNU MP arbitrary precision library 
in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch100 -p1

%__rm -f *.info*

%build
%configure --enable-mpbsd
%make_build
%make check

%install
%makeinstall
install -p -m644 gmp-mparam.h $RPM_BUILD_ROOT%_includedir
install -p -m644 gmpxx.h $RPM_BUILD_ROOT%_includedir
bzip2 -9 ChangeLog*

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%post -n lib%name-devel
%install_info %name.info

%preun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%doc AUTHORS README NEWS
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_infodir/*.info*
%doc ChangeLog* doc/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1-alt1
- 4.1
- little spec improvements
- added devel-static subpackage
- added gmpxx.h header to %_includedir
- merge with latest RH and MDK patches

* Fri Mar 02 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.1-ipl2mdk
- Libification.
- Added ia64 patch.
- Build Berkley MP compatibility library.

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 3.1.1-ipl1mdk
- 3.1.1
- Fixed configure script.
- Fixed texinfo documentation.

* Fri Apr 28 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.0.1

* Thu Apr 20 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.0

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Release version.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- .spec optimizations

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
